package com.oguerreiro.resilient.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class VariableCategoryDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(VariableCategoryDTO.class);
        VariableCategoryDTO variableCategoryDTO1 = new VariableCategoryDTO();
        variableCategoryDTO1.setId(1L);
        VariableCategoryDTO variableCategoryDTO2 = new VariableCategoryDTO();
        assertThat(variableCategoryDTO1).isNotEqualTo(variableCategoryDTO2);
        variableCategoryDTO2.setId(variableCategoryDTO1.getId());
        assertThat(variableCategoryDTO1).isEqualTo(variableCategoryDTO2);
        variableCategoryDTO2.setId(2L);
        assertThat(variableCategoryDTO1).isNotEqualTo(variableCategoryDTO2);
        variableCategoryDTO1.setId(null);
        assertThat(variableCategoryDTO1).isNotEqualTo(variableCategoryDTO2);
    }
}
